import { constants } from '@zohodesk/js-api-creator';
export default {

	"communityTopics": {
		url: "communityTopics",
		method: constants.get
	},
	"communityTopics.create": {
		url: "communityTopics",
		method: constants.post
	},
	"communityTopics.deleteIt": {
		url: "communityTopics/:id",
		method: constants.deleteIt
	},
	"communityTopics.update": {
		url: "communityTopics/:id",
		method: constants.put
	},
	"communityTopics.like": {
		url: "communityTopics/:id/like",
		method: constants.post
	},
	"communityTopics.follow": {
		url: "communityTopics/:id/follow",
		method: constants.post
	},
	"communityTopics.unfollow": {
		url: "communityTopics/:id/unFollow",
		method: constants.post
	},
	"communityTopicPreview": {
		url: "communityTopicPreview",
		method: constants.get
	},
	"communityTopics.get": {
		url: "communityTopics/:id",
		method: constants.get
	},
	"communityTopics.getByPermalink": {
		url: "communityTopicByPermalink",
		method: constants.get
	},
	"communityTopics.attachments.download": {
		url: "communityTopics/:topicId/attachments/:id/content",
		method: constants.download
	},
	"communityTopics.search": {
		url: "communityTopics/search",
		method: constants.get
	},
	"communityTopics.relatedTopicSearch": {
		url: "communityTopics/relatedTopicSearch",
		method: constants.get
	},
	"communityTopics.participants": {
		url: "communityTopics/:id/participants",
		method: constants.get
	},
	"communityTopics.followers": {
		url: "communityTopics/:id/followers",
		method: constants.get
	},
	"communityTopics.comments": {
		url: "communityTopics/:id/comments",
		method: constants.get
	},
	"communityTopics.comments.create": {
		url: "communityTopics/:id/comments",
		method: constants.post
	},
	"communityTopics.comments.update": {
		url: "communityTopics/:topicId/comments/:id",
		method: constants.put
	},
	"communityTopics.comments.deleteIt": {
		url: "communityTopics/:topicId/comments/:id",
		method: constants.deleteIt
	},
	"communityTopics.comments.get": {
		url: "communityTopics/:topicId/comments/:id",
		method: constants.get
	},
	"communityTopics.comments.replies.create": {
		url: "communityTopics/:topicId/comments/:id/replies",
		method: constants.post
	},
	"communityTopics.comments.replies.update": {
		url: "communityTopics/:topicId/comments/:commentId/replies/:id",
		method: constants.put
	},
	"communityTopics.comments.replies.deleteIt": {
		url: "communityTopics/:topicId/comments/:commentId/replies/:id",
		method: constants.deleteIt
	},
	"communityTopics.comments.attachments.download": {
		url: "communityTopics/:topicId/comments/:commentId/attachments/:id/content",
		method: constants.download
	},

	"communityAttachments.create": {
		url: "communityAttachments",
		method: constants.post
	},
	"communityAttachments.deleteIt": {
		url: "communityAttachments/:id",
		method: constants.deleteIt
	},

	"communityUsers.statistics": {
		url: "communityUsers/:id/statistics",
		method: constants.get
	},
	"communityUsers.topicCommentTrends": {
		url: "communityUsers/:id/topicCommentTrend",
		method: constants.get
	},
	"communityUsers.topics": {
		url: "communityUsers/:id/topics",
		method: constants.get
	},
	"communityUsers.comments": {
		url: "communityUsers/:id/comments",
		method: constants.get
	},
	"communityUsers.follow": {
		url: "communityUsers/:id/follow",
		method: constants.post
	},
	"communityUsers.unfollow": {
		url: "communityUsers/:id/unFollow",
		method: constants.post
	},
	"communityCategories": {
		url: "communityCategory",
		method: constants.get
	},
	// communityCategory is dubliated from communityCategories.
	"communityCategory": {
		url: "communityCategory",
		method: constants.get
	},
	"communityCategory.get": {
		url: "communityCategory/:id",
		method: constants.get
	},
	"communityCategory.getByPermalink": {
		url: "communityCategoryByPermalink/:permalink",
		method: constants.get
	},
	"communityCategory.follow": {
		url: "communityCategory/:id/follow",
		method: constants.post
	},
	"communityCategory.unfollow": {
		url: "communityCategory/:id/unFollow",
		method: constants.post
	},
	"communityCategory.followers": {
		url: "communityCategory/:id/followers",
		method: constants.get
	},

	"communityTopContributors": {
		url: "communityTopContributors",
		method: constants.get
	},
	"communityTopics.mostDiscussed": {
		url: "mostDiscussedCommunityTopics",
		method: constants.get
	},
	"communityTopics.mostPopular": {
		url: "mostPopularCommunityTopics",
		method: constants.get
	},
	"communityTopics.unReplied": {
		url: "unrepliedCommunityTopics",
		method: constants.get
	},

	"communityPreferences": {
		url: "communityPreferences",
		method: constants.get
	},

	"communityMyDraftedTopics": {
		url: "communityMyDraftedTopics",
		method: constants.get
	},

	"communityTopics.relatedArticles": {
		url: "communityTopics/:id/relatedArticles",
		method: constants.get
	}
};