import { constants } from '@zohodesk/js-api-creator';
export default {
	"kbArticles": {
		url: "kbArticles",
		method: constants.get
	},
	"kbArticles.get": {
		url: "kbArticles/:articleId/locale/:locale",
		method: constants.get
	},
	"kbArticles.getByPermalink": {
		url: "kbArticles/articleByPermalink",
		method: constants.get
	},

	"kbArticles.smartViewArticlesByCategoryIds": {
		url: "kbArticles/smartViewArticlesByCategoryIds",
		method: constants.get
	},

	"kbArticles.search": {
		url: "kbArticles/search",
		method: constants.get
	},
	"kbArticles.relatedArticleSearch": {
		url: "kbArticles/relatedArticleSearch",
		method: constants.get
	},
	"kbArticles.relatedArticleByArticleId": {
		url: "kbArticles/:articleId/locale/:locale/relatedArticles",
		method: constants.get
	},
	"kbArticles.like": {
		url: "kbArticles/:articleId/locale/:locale/like",
		method: constants.post
	},
	"kbArticles.disLike": {
		url: "kbArticles/:articleId/locale/:locale/dislike",
		method: constants.post
	},
	"kbArticles.attachments": {
		url: "kbArticles/:articleId/locale/:locale/attachments",
		method: constants.get
	},
	"kbArticles.attachments.download": {
		url: "kbArticles/:articleId/attachments/:attachmentId/content",
		method: constants.download
	},
	"kbArticles.feedbacks.update": {
		url: "kbArticles/:articleId/locale/:locale/feedbacks",
		method: constants.post
	},
	"kbArticles.comments": {
		url: "kbArticles/:articleId/locale/:locale/comments",
		method: constants.get
	},
	"kbArticles.comments.create": {
		url: "kbArticles/:articleId/locale/:locale/comments",
		method: constants.post
	},
	"kbArticles.comments.update": {
		url: "kbArticles/:articleId/locale/:locale/comments/:commentId",
		method: constants.patch
	},
	"kbArticles.comments.delete": {
		url: "kbArticles/:articleId/locale/:locale/comments/:commentId",
		method: constants.deleteIt
	},
	"kbArticles.comments.get": {
		url: "kbArticles/:articleId/comments/:commentId",
		method: constants.get
	},
	"kbArticles.comments.attachments.download": {
		url: "kbArticles/:articleId/comments/:commentId/attachments/:attachmentId/content",
		method: constants.download
	},
	"kbCategories": {
		url: "kbCategories",
		method: constants.get
	},

	"kbCategories.get": {
		url: "kbCategories/:categoryId/categoryTree",
		method: constants.get
	},

	"kbCategory.get": {
		url: "kbRootCategories/:categoryId/categoryTree",
		method: constants.get
	},
	"kbCategory.categoriesByPermalink": {
		url: "kbRootCategories/categoryTreeByPermalink",
		method: constants.get
	},
	"kbCategory.rootCategories": {
		url: "kbRootCategories",
		method: constants.get
	},
	"kbCategory.articles": {
		url: "kbCategory/:categoryId/articles",
		method: constants.get
	},
	"kbCategory.create": {
		url: "kbCategory",
		method: constants.post
	},

	"kbArticles.searchByTags": {
		url: "kbArticles/searchByTag",
		method: constants.get
	}

};