import { constants } from '@zohodesk/js-api-creator';
export default {
	"tickets": {
		url: "tickets",
		method: constants.get
	},
	"tickets.fields": {
		url: "ticketForm",
		method: constants.get
	},
	"tickets.getStatusMapping": {
		url: "ticketsFields",
		method: constants.get
	},
	"tickets.create": {
		url: "addTickets",
		method: constants.post
	},
	"tickets.createUsingAuth": {
		url: "tickets",
		method: constants.post
	},
	"tickets.update": {
		url: "tickets/:id",
		method: constants.put
	},
	"tickets.get": {
		url: "tickets/:id",
		method: constants.get
	},
	"tickets.search": {
		url: "tickets/search",
		method: constants.get
	},
	"tickets.byNumber": {
		url: "ticketByNumber",
		method: constants.get
	},
	"tickets.templates": {
		url: "ticketTemplates",
		method: constants.get
	},
	"tickets.templates.get": {
		url: "ticketTemplates/:id",
		method: constants.get
	},
	"tickets.attachments": {
		url: "tickets/:id/attachments",
		method: constants.get
	},
	"tickets.attachments.download": {
		url: "tickets/:ticketId/attachments/:id/content",
		method: constants.download
	},
	"ticketAttachments.create": {
		url: "uploads",
		method: constants.post
	},
	"ticketAttachments.deleteIt": {
		url: "uploads/:id",
		method: constants.deleteIt
	},
	"tickets.comments": {
		url: "tickets/:id/comments",
		method: constants.get
	},
	"tickets.comments.create": {
		url: "tickets/:id/comments",
		method: constants.post
	},
	"tickets.comments.update": {
		url: "tickets/:ticketId/comments/:id",
		method: constants.put
	},
	"tickets.comments.deleteIt": {
		url: "tickets/:ticketId/comments/:id",
		method: constants.deleteIt
	},
	"tickets.comments.attachments.download": {
		url: "tickets/:ticketId/comments/:commentId/attachments/:id/content",
		method: constants.download
	},
	"tickets.comments.history": {
		url: "tickets/:ticketId/comments/:id/history",
		method: constants.get
	},
	"tickets.threads": {
		url: "tickets/:id/threads",
		method: constants.get
	},
	"tickets.threads.Create": {
		url: "tickets/:id/threads",
		method: constants.post
	},
	"tickets.threads.get": {
		url: "tickets/:ticketId/threads/:id",
		method: constants.get
	},
	"tickets.threads.update": {
		url: "tickets/:ticketId/threads/:id",
		method: constants.put
	},
	"tickets.threads.attachments": {
		url: "tickets/:ticketId/threads/:id/attachments",
		method: constants.get
	},
	"tickets.threads.attachments.download": {
		url: "tickets/:ticketId/threads/:threadId/attachments/:id/content",
		method: constants.download
	},

	"tickets.conversations": {
		url: "tickets/:id/conversations",
		method: constants.get
	},

	"ticketGenerateCaptcha": {
		url: "generateCaptcha",
		method: constants.get
	},

	"layoutRules": {
		url: "layoutRules",
		method: constants.get
	},

	"myLayouts": {
		url: "myLayouts",
		method: constants.get
	},

	"validationRules": {
		url: "validationRules",
		method: constants.get
	},

	"composetickets": {
		url: "composetickets",
		method: constants.post
	},

	"contactsById": {
		url: "contactsByIds",
		method: constants.get
	},

	"resolution": {
		url: "tickets/:id/resolution",
		method: constants.get
	},
	"tickets.ticketCount": {
		url: "ticketsCountByFieldValues",
		method: constants.get
	}

};